% compute additional quantities entropy, enthalpy and Machnumber,

% Mach number
uxcenter=1/2*(uxnew(1:J)+uxnew(2:J+1));

Mach=uxcenter./(sqrt(gamma.*pnew./rhonew));


% Entropy
entropy=log(pnew.*(rhonew).^(-gamma));

% Enthalpy
enthalpy=gamma/(gamma-1).*pnew./rhonew;
